Summary:	Networking support for GLib
Summary(pl.UTF-8):	Obsługa sieci dla GLiba
Name:		glib-networking
Version:	2.70.1
Release:	1
License:	LGPL v2.1+ with OpenSSL exception
Group:		Libraries
Source0:	https://download.gnome.org/sources/glib-networking/2.70/%{name}-%{version}.tar.xz
# Source0-md5:	c408bcfaea4ad3dea7a18f34574231b2
URL:		https://gitlab.gnome.org/GNOME/glib-networking
BuildRequires:	gcc >= 6:4.7
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.69.0
BuildRequires:	gnutls-devel >= 3.7
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	libproxy-devel >= 0.3.1
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.69.0
Requires:	ca-certificates
Requires:	glib2 >= 1:2.69.0
Requires:	gnutls-libs >= 3.7
Requires:	libproxy >= 0.3.1
Suggests:	gsettings-desktop-schemas
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains modules that extend the networking support in
GIO. In particular, it contains a libproxy-based GProxyResolver
implementation and a gnutls-based GTlsConnection implementation.

%description -l pl.UTF-8
Ten pakiet zawiera moduły rozszerzające obsługę sieci w GIO, w
szczególności: implementację GProxyResolver opartą na libproxy oraz
implementację GTlsConnection opartą na gnutls.

%prep
%setup -q

%build
%meson build \
	-Dca_certificates_path=/etc/certs/ca-certificates.crt \
	-Dinstalled_tests=false

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%postun
umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc LICENSE_EXCEPTION NEWS README
%attr(755,root,root) %{_libexecdir}/glib-pacrunner
%attr(755,root,root) %{_libdir}/gio/modules/libgiognutls.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiolibproxy.so
%attr(755,root,root) %{_libdir}/gio/modules/libgiognomeproxy.so
%{_datadir}/dbus-1/services/org.gtk.GLib.PACRunner.service
%{systemduserunitdir}/glib-pacrunner.service
%changelog
* Tue Dec 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glib-networking.git;a=log;h=master

* Tue Dec 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 41184e4
- updated to 2.70.1

* Fri Sep 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 1d0bf4f
- updated to 2.70.0

* Fri Aug 06 2021 Jan Palus <atler@pld-linux.org> 30c42e5
- up to 2.68.2

* Thu Apr 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 1c5cea8
- updated to 2.68.1

* Sat Mar 20 2021 Jan Palus <atler@pld-linux.org> 546cf8d
- up to 2.68.0

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> f566320
- updated to 2.66.0

* Fri May 29 2020 Jakub Bogusz <qboosh@pld-linux.org> f48b22a
- updated to 2.64.3 (fixes CVE-2020-13645)

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 45ec58b
- updated to 2.64.2

* Sat Mar 28 2020 Jan Palus <atler@pld-linux.org> bfc9e99
- up to 2.64.1

* Thu Mar 12 2020 Jan Palus <atler@pld-linux.org> 19bcbba
- up to 2.64.0

* Sat Jan 04 2020 Jan Palus <atler@pld-linux.org> ef72ca4
- up to 2.62.3

* Tue Dec 10 2019 Jan Palus <atler@pld-linux.org> eb66029
- up to 2.62.2

* Sat Oct 05 2019 Jan Palus <atler@pld-linux.org> 9eb6f2d
- up to 2.62.1

* Wed Sep 11 2019 Jakub Bogusz <qboosh@pld-linux.org> b8d4c17
- pkcs11 support is gone (in 2.60); C++11 now required

* Mon Sep 09 2019 Jan Palus <atler@pld-linux.org> b95d91d
- up to 2.62.0

* Mon Jun 10 2019 Jan Palus <atler@pld-linux.org> 5c28662
- up to 2.60.3

* Sat May 04 2019 Jan Palus <atler@pld-linux.org> 4edffc9
- up to 2.60.2

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> ae512f1
- more specific license information

* Mon Apr 08 2019 Jan Palus <atler@pld-linux.org> caa32b2
- up to 2.60.1

* Wed Apr 03 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 41a7cba
- rel 2; gsettings-desktop-schema seems to be optional (for proxy information) and it drags in GConf2, dbus and all other crap on the server. Make it to be Suggests

